数据提供商: Financial Datasets
使用股票筛选工具根据财务标准搜索公司(Financial Datasets)
$0.02 / 次调用在 45 秒内响应
搜索那些财务数据符合特定条件的上市公司,并返回符合这些条件的公司及其股票代码。提供 1 至 20 个 filters,每个包含 field(财务指标或项目名称,例如 revenue)、operator(gt、lt、gte、lte、eq 或 in)和值 value(数字、文本或列表);所有筛选条件都必须成立。每页最多显示100家公司信息。ticker 字段仅接受 eq 或 in 运算符。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Financial Datasets endpoint /financials/search/screener on Glasser.bash
glasser run -p financialdatasets -e '/financials/search/screener' -i '{"limit":2,"filters":[{"field":"revenue","value":100000000000,"operator":"gt"}]}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"financialdatasets","endpoint":"/financials/search/screener","input":{"limit":2,"filters":[{"field":"revenue","value":100000000000,"operator":"gt"}]},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
制作财务研究表格时,可以收集公司披露的数值,并明确保留对应期间和单位。
复制此提示词到你的 Agent,整理研究所需的披露数值。
提示词
Use financialdatasets:/financials/search/screener on Glasser.
Pull my company's reported figures into a table with the periods and units returned.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"filters"
],
"properties": {
"limit": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"filters": {
"type": "array",
"items": {
"type": "object",
"required": [
"field",
"operator",
"value"
],
"properties": {
"field": {
"type": "string",
"maxLength": 80,
"minLength": 1
},
"value": {
"anyOf": [
{
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
{
"type": "string",
"maxLength": 200,
"minLength": 1
},
{
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 100
}
]
},
"operator": {
"enum": [
"gt",
"lt",
"gte",
"lte",
"eq",
"in"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 20,
"minItems": 1
}
},
"additionalProperties": false
}json
{
"limit": 2,
"filters": [
{
"field": "revenue",
"value": 100000000000,
"operator": "gt"
}
]
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.02 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |